By Lennert Buytenhek <buytenh@wantstofly.org>
Adds support for arm*b-linux* big-endian ARM targets

See http://gcc.gnu.org/PR16350

Index: gcc-4.3.2/gcc/config/arm/linux-elf.h
===================================================================
--- gcc-4.3.2.orig/gcc/config/arm/linux-elf.h	2007-11-08 05:44:09.000000000 -0800
+++ gcc-4.3.2/gcc/config/arm/linux-elf.h	2008-08-28 21:08:30.000000000 -0700
@@ -51,7 +51,7 @@
 
 #undef  MULTILIB_DEFAULTS
 #define MULTILIB_DEFAULTS \
-	{ "marm", "mlittle-endian", "mhard-float", "mno-thumb-interwork" }
+	{ "marm", TARGET_ENDIAN_OPTION, "mhard-float", "mno-thumb-interwork" }
 
 /* Now we define the strings used to build the spec file.  */
 #undef  LIB_SPEC
Index: gcc-4.3.2/gcc/config.gcc
===================================================================
--- gcc-4.3.2.orig/gcc/config.gcc	2008-08-28 20:57:39.000000000 -0700
+++ gcc-4.3.2/gcc/config.gcc	2008-08-28 21:00:11.000000000 -0700
@@ -742,6 +742,11 @@
 	esac
 	tmake_file="${tmake_file} t-linux arm/t-arm"
 	case ${target} in
+	arm*b-*)
+		tm_defines="${tm_defines} TARGET_BIG_ENDIAN_DEFAULT=1"
+		;;
+	esac
+	case ${target} in
 	arm*-*-linux-*eabi)
 	    tm_file="$tm_file arm/bpabi.h arm/linux-eabi.h"
 	    tmake_file="$tmake_file arm/t-arm-elf arm/t-bpabi arm/t-linux-eabi"
